BLAKE2_State< W, T_64bit > Class Template Reference

BLAKE2 state information. More...

## Public Attributes

W | h [8]
W | t [2]
W | f [2]
byte | buffer [BLOCKSIZE]
size_t | length

## Static Public Attributes

static const int | BLOCKSIZE = BLAKE2_Info<T_64bit>::BLOCKSIZE

## Detailed Description

### template<class W, bool T_64bit>
class BLAKE2_State< W, T_64bit >

BLAKE2 state information.

Template Parameters

  W | word type
  T_64bit | flag indicating 64-bit

BLAKE2b uses BLAKE2_State<word64, true>, while BLAKE2s uses BLAKE2_State<word32, false>.

Since
  Crypto++ 5.6.4

Definition at line 136 of file blake2.h.

The documentation for this class was generated from the following file:

- blake2.h